| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csGetFromAddress Struct Reference
[Utilities]

Sized data type access helpers. More...

`#include <csutil/csendian.h>`

List of all members.

## Static Public Member Functions
static int16 | Int16 (const void *buff)
static int32 | Int32 (const void *buff)
static int64 | Int64 (const void *buff)
static uint16 | UInt16 (const void *buff)
| Get specifically sized type from unaligned memory address.
static uint32 | UInt32 (const void *buff)
static uint64 | UInt64 (const void *buff)

## Detailed Description

Sized data type access helpers.

On some platforms, certain data types can only be accessed when correctly aligned (e.g. uint32 can only be read from addresses aligned to 4 bytes). This routines assist accessing sized types from arbitrary memory positions (e.g. when parsing files from memory) by working around the alignment requirements on platforms that have such.

Definition at line 207 of file csendian.h.

## Member Function Documentation

static uint16 csGetFromAddress::UInt16 | ( | const void * | buff | ) | `[inline, static]`

Get specifically sized type from unaligned memory address.

Definition at line 211 of file csendian.h.

Referenced by csGetLittleEndianFloat16(), csGetLittleEndianShort(), and Int16().

The documentation for this struct was generated from the following file:

- csutil/csendian.h